Update Assistant
curl --request PUT \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id} \
--header 'Authorization: <authorization>'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id}"
headers = {"Authorization": "<authorization>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<authorization>'}};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>"
},
"message": "<string>"
}Assistants
Update Assistant
Update an existing assistant by its ID via the ContactSwing API.
PUT
/
v2
/
_assistants
/
{assistant_id}
Update Assistant
Authorizations
Enter your ContactSwing JWT Bearer token.
Path Parameters
Unique assistant identifier from ContactSwing dashboard.
Request Body
JSON: AssistantRequest (see OpenAPI spec)Updated assistant display name
Updated assistant purpose
Updated action IDs
["action_id_1"]Updated AI model
gpt-4oResponse
200 OK - Assistant updated successfullyRequest context ID
”Request processed successfully”
Example
{
"name": "Updated SMS Assistant",
"actions": ["6f439f98-32f6-4b44-928c-6e890e298d51", "new_action_id"]
}
⌘I

